SiSU CHANGELOG    -*- mode: org; -*-
#+OPTIONS: ^:nil _:nil

* SiSU version 6
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob;f=data/doc/sisu/CHANGELOG_v6;hb=HEAD>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob_plain;f=debian/changelog;hb=refs/heads/debian/sid>

v6 branch is removed; it is available in sisu =< 6.5.0
v5 branch is removed; it is available in sisu < 5.9.0
v4 branch is removed; it is available in sisu < 5.3.0
v3 branch is removed; it is available in sisu < 4.1.0
v2 branch is removed; it is available in sisu =< 3.3.2

  - homepages: <http://sisudoc.org> <http://www.jus.uio.no/sisu>
  - data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
  - CHANGELOG CHANGELOG_v2 CHANGELOG_v3 README data/doc/sisu/

Reverse Chronological:

--- HEAD --- [closed]

* sisu_6.5.0.orig.tar.xz (2015-04-21:16/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.4.1

  - v6 made the default branch (prior to restructuring for v7)

* sisu_6.4.0.orig.tar.xz (2015-04-20:16/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.4.0

  - year set 2015 (prepare for the new year)

  - qi, (quick install) header update (also rbuild)

  - sisu-mode.el emacs, outline mode "folding" for sisu

  - CHANGELOGS formatted for viewing as org-mode files
    indentation, line-breaking, and formatting characters only changes made

  - org files related to sisu
    - break up and place in own subdir
    - org files, minor editing

  - code headers reformatted for viewing as org-mode files

  - c&d: project dir structure, libs moved under new branch names
    - libs & version files under new branch names: current & develop
    - previously under branch version numbers (v5|v6)
    - version .yml files moved
    - associated adjustments made as required, notably to:
      bin/sisu se* qi* (file headers)
    - [on dir names, want release to precede next/development,
      considered (cur|dev) (current|(dev|development|progress|next))
      (stable|unstable), alpha sorting fail (release|(next|develop))]

  - version & branch info, changes related to move of lib dirs
    - track changes to sisu_version info
    - in dp (param) project_details used instead of sisu_version

  - misc minor
    - html endnote segment, endnote in heading, link back to html scroll
    - epub endnote segment fails, issue with match, fix
    - dp, remark if no existing option selected

  - ao, rearrange, introduce new file

  - reorganize, introduce new file(s)
    - txt outputs
    - html segments
    - epub
    - xmls
  - address related garbage collection issue

  - orgmode, add orgmode structure output to txts

  - cgi, search form, html ref, remove leading 'o' ocn, bugfix
    in html (on use of html5), removed leading 'o' before ocn, not
    reflected in generated cgi, sample search form, so, does not
    jump to the (otherwise correctly) identified location

  - html,
    - output by filename, filenames, fix
    - ocn link back to self reinstated
      (removed ocn_html_identifier variable, unnecessary in html5,
      requirement previously forced by html4)
      (requested, used as quick means to get object url reference link)

  - po4a, reinstate possibility to initialize po4a management of translated
    marked up documents, i.e. to place translated versions of a sisu document
    under po4a management (provide po4a.cfg file)
    NOTE: shelf, abandon, change tack (for now at least)
    explore a different way

  - utils_composite, composite documents (.ssm) extract the list of insert files

  - utils_response,
    - rely on module (remove class) extend module
    - ease selection options

  - SiSU_is switched to a method (instead of a hash) (bin and lib)

  - use RbConfig instead of Config

  - bin/sisu-misc-utils, sisu_thor_lib, currently only for po4a
    - uses po4a to create po files with empty translation strings
    - in appropriately configured directory e.g.
      "data/doc/sisu/markup-samples/manual" have file named:
      "languages_source_and_targets" containing e.g.:
        source: en
        targets: de fr es ja ru zh
      command examples:
        ruby ~snx/bin/sisu-misc-utils po4a --next --clean
        ruby ~snx/bin/sisu-misc-utils po4a --next --distclean
        ruby ~snx/bin/sisu-misc-utils po4a --next --make

  - under data/.../manual sisu po4a a ruby thor (Rakefile equivalent)

  - sisu.org addition, modification, consider

  - header regex matches for bold & italics auto match possessives ending in 's

  - manpage, fix (require)

  - manifest, html ids added to label/identify content

  - ao and elsewhere, use of map and select

  - ao bibliography / references, provide tools to assist in making (first pass)
    - change end sequence: auto generated endnote section; bibliography;
      book index if any
    either:
    - create a tagged bibliography list at end of document, also providing
      an id for use in footnotes, and the short title that is to appear in
      footnotes
    or:
    - tag footnote citations that should appear in the bibliography

  - documentation, update to mention bibliography

* SiSU "UnFrozen" - prior to end of Debian Freeze
  (upstream bugfix 6.3.2 (5.7.2) intended for Jessie (packaged for Debian as
  5.7.1-2) was not accepted)

* sisu_6.3.2.orig.tar.xz (2014-11-02:43/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.3.2

  - ao, composite documents, --verbose report to terminal on loading of *.sst,
    fix without fix sisu reports loading of .ssm & .ssi files but not .sst
    (sub-documents are imported correctly and resulting document outputs are
    correct and unaffected, but unless aware of this bug it would seem otherwise
    until the correct operation of sisu was manually verified e.g. by examining
    documents produced); (issue somewhat mitigated by not being the most common
    sisu operation)
    sisu is in development freeze, this fix is provided for Debian Jessie
    (Closes: #767761)

* SiSU Frozen - Debian Freeze - ^^ pre Jessie ^^

* sisu_6.3.1.orig.tar.xz (2014-10-19:41/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.3.1

  - html
    - html_format, "id"s for objects & footnotes
    - remove trailing backslash for empty linebreak & paragraph, <br> <p>

  - db, text search & display field, footnotes moved to end of text object
    - cleaner, more useful search results
    - cleaner text search field
    - separate footnote fields redundant for search purposes

  - cgi, sample search form, find & display endnotes from parent text object
    - remove dedicated endnote search section (as endnotes found & listed from
      reference text field)
    - cleaner search results

* sisu_6.3.0.orig.tar.xz (2014-10-12:40/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.3.0

  - '*_parts', remove defaults.rb & some relics related to sisu skins (long
    gone)
    - old code removed & substituted as required by *_parts
    - attending code changes, fairly wide ranging, test

  - html, epub, set document body language

  - html_format, label, re: object number object names

  - constants, remove ocn html leader (resulting hashtag #1 instead of #o1)

  - moved files: harvest* to html_harvest*

  - --maintenance revisited, bin/sisu, hub, urls --maintenance, fix required

  - db, --maintenance sql, separated out postgresql & sqlite
    could share "maintenance" db import sql file (as done previously), consider

  - fixes, minor
    - qrcode, sha call
    - epub tune, --maintenance related

* sisu_6.2.10.orig.tar.xz (2014-10-03:39/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.10

  - --act provides info on current --act0 to --act9 settings (makes it easier to
    make use of acts 0 to 9)

  - html, tiny first nudge toward html5 (document headers and minor)

* sisu_6.2.9.orig.tar.xz (2014-09-28:38/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.9

  - sql, clean searchable text, update for (ao/dal) text representation,
    fix legacy action

* sisu_6.2.8.orig.tar.xz (2014-09-19:37/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.8

  - vim syntax, sisu.vim, update git url and email address

  - update urls to git repo

* sisu_6.2.7.orig.tar.xz (2014-09-12:36/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.7

  - ao, auto naming (segment & tag), exceptions, avoidance of name collisions

  - ao, feedback on markup document structure (heading level) errors
    adjustment to (existing) provided feedback, based on:
     - level A~ title, required;
     - levels B~ C~ D~ optional sequential document divider headings
       (Part, Section etc. equivalent);
     - level 1~ required, heading level preceding substantive text; followed by
     - levels 2~ 3~ 4~ optional, sequential headings
       (1.1, 1.1.1, 1.1.1.1 equivalents)

  - ao, expansion of links to internal filepaths (re: syntax based shortcut)
    (expansion of sisu output filepaths, sync with use of --act0 to --act9)

  - se, processing, adjustments to default settings for --act0 to --act9

  - se, env, lingual: mono / multi, rc settings

  - sisurc, update samples
    - adjustments to default settings for --act0 to --act9 (to match current
      "se")
    - removed sisurc examples to organize output by
      filetype, filename, monolingual, as one word diff
      output_dir_structure_by: language
      # (language|filetype|(filetype_mono|monolingual)|filename|filename_mono)
      # language
      #   (language and filetype directories);
      # filetype
      #   (filetype directories, filename includes language code);
      # filetype_mono (or monolingual)
      #   (filetype drectories, no language codes in filenames)
      # filename
      #   (directory output similar to v1 v2, filename includes language code);
      # filename_mono
      #   (directory output similar to v1 v2, filename without language code);

  - hub, /tmp processing directory checks

* sisu_6.2.6.orig.tar.xz (2014-09-05:35/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.6

  - ao_doc_str, if faulty document structure, stop; if --no-stop option, skip
    processing document

  - ao_numbering, provide more information on duplicate numbering before stop

  - html navigation, enable turn off (nav buttons on remaining html segments)

  - (for html) set default to navigation bar off

  - xml xhtml outputs, &amp; issues

  - shared_metadata, requires xml_shared

  - link/path fixes,
    - manifest, link where no "document harvest"
    - html, home button links url (remove slash)
    - harvest_authors, by_filetype, manifest path

* sisu_6.2.5.orig.tar.xz (2014-09-01:35/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.5

  - cgi_sqlite, allow expansion of variable (default db name), double quotes,
    fix

* sisu_6.2.4.orig.tar.xz (2014-08-29:34/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.4

  - hub, sisu version info, when & what to report

  - dp, texpdf, copyright_and_license, minor fix, used by texpdf

* sisu_6.2.3.orig.tar.xz (2014-08-20:33/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.3

  - hub_options, introduce "error override" --no-stop or --errors-as-warnings
    flag
  - start making use of --no-stop command

  - ao
    - book index related
    - ao_expand_insertions, blocked text match, adjust

  - texpdf, output, copyright & license

  - syntax hilighting, restrict heading matches, minor
    - vim
    - emacs

* sisu_6.2.2.orig.tar.xz (2014-08-12:32/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.2

  - hub, organization & loose ends
    - tweak triggers
    - split file further
    - remove mod

  - webrick, wb.cgi fixed and omitted (use discarded)

* sisu_6.2.1.orig.tar.xz (2014-08-08:31/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.1

  - extend document structure, headings A - D, 1 - 4
    - sql db table structure changed (needs to be rebuilt)

* sisu_6.2.0.orig.tar.xz (2014-08-08:31/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.2.0

  - some file renames, fairly extensive

  - commandline, --act0 to --act9 & rc-config with act instead of roman numeral
    - configurable command line options increased to 0 - 9 (instead of 0 - 5)
    - use --act0 to --act9
    - default --act0
    - rc config with flag:act0 to flag:act9
    - legacy roman numeral configuration works (for now)

  - internally use opt.act (simplify, cleaner, instead of opt.cmd & opt.mod, now
    removed)

* sisu_6.1.5.orig.tar.xz (2014-07-29:30/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.1.5

  - ensure reset of parsed document directory path
    - needed in the case of html for some subsequent processing

* sisu_6.1.4.orig.tar.xz (2014-07-24:29/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.1.4

  - ao_numbering, auto name segment, tweak to make behave as intended
    (further testing required)

* sisu_6.1.3.orig.tar.xz (2014-07-23:29/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.1.3

  - db, rescue where no tables attempt to initialize db and retry
    (catch db message where no tables and attempt to initialize database)
    - internally run the equivalent of --createall
    - (if successful) permitting completion of --import or --update command
    - make use of action triggers

* sisu_6.1.2.orig.tar.xz (2014-07-22:29/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.1.2

  - bin/sisu, hub, hub close (ensure), remove /tmp/ processing dir

  - html_lite_shared, issue fix

  - options, sisupod parsing fix

  - db, reorganize action triggers

  - db pg import, fix
    - remove dbi from rescue, no longer using ruby-dbi
    - ruby-pg query SELECT MAX

  - sysenv,
    - break up file, multiple se_* files
    - revert to use of stub_pwd (instead of new base_markup_dir_stub introduced
      in 6.1.1) to bring back correct hub (post) processing behavior
    - processing shortcuts, options, adjust (refinement necessary)

* sisu_6.1.1.orig.tar.xz (2014-07-15:28/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.1.1

  - bin/sisu, hub, options, message pass sisu_called_from_directory

  - sysenv, general, base_markup_dir_stub (replace pwd_stub)

  - ao_numbering, auto name segment, extract "number" from heading, refine

  - src, sisupod, bring back in line

  - docbook,
    - code & other block markup
    - url links, urls
    - images, an adjustment
    - css (needs work)
    - document header, sisu processing info
    - docbook status, under construction notice removed (still much to do)

  - general, document parts
    - css
    - base images
    - document images

* sisu_6.1.0.orig.tar.xz (2014-07-11:27/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.1.0

  - ao_numbering,
    - auto name segment, extract "number" from heading, fix
    - check that all auto given number based seg names are unique

  - ao_composite, nested includes, .ssi (insert) can include .ssi & .sst
  ~ .ssm can contain/include .sst or .ssi
    .sst files can be processed independently, they do not contain other files
    .ssi files have been only insertions of text & are not processed
    independently but as part of an ssm
    change proposed:
    .ssm unchanged,
    .sst unchanged,
    .ssi as before, but can include .sst or .ssi, so:
    files are only insertions & are not processed independently but as part of
    an .ssm or another .ssi
    i.e. as before with the addition that it like a .ssm can contain/include
    .sst or .ssi
  ~ requested feature, (Closes: #744408)
    User beware. In previous versions there has been a deliberate attempt to
    keep it easy to follow documents & not have to dig through different levels
    of includes, as this is more likely to lead to errors in markup.
    The idea of nested includes has not been attractive (messy for a document),
    however, this is now made possible, use with care
    ~ it is not as easy to see document structure at a glance, and structural
      errors may be introduced and will need to be taken care of (requiring
      document markup debugging)
    ~ allowing .ssi to also include other .ssi or .sst could lead to infinite
      recursion if an .ssi includes another which includes itself; stopping
      after an additional level of includes seems arbitrary, and possibly prone
      to error if you are dealing with many documents
  ~ requires testing
  ~ version bump, new behavior added to .ssi one of the 3 sisu filetypes

  - src, sisupod composite source, nested includes
    follow rules for ao_composite (described above)

* sisu_6.0.11.orig.tar.xz (2014-07-07:27/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.11

  - bin/sisu,
    - processing dir related
      e.g. using live-manual/manual as sample, the following should work as
      expected, available: ca de en es fr it ja pl pt_BR ro; select: en & ja:
        sisu --html -v en/live-manual.ssm ja/live-manual.ssm
      or for all available translations:
        sisu --html -v **/live-manual.ssm
      (these previously would have broken after processing the first directory)
      sisu command equivalent for all available translations being (unaffected):
        sisu --html -v --glob live-manual
    - some cosmetic long line breaking

  - ao, auto seg naming, adjustments,
    re: seg numbering, fixed width, leading zeros (introduced: 5.4.3 / 6.0.9)

* sisu_6.0.10.orig.tar.xz (2014-07-04:26/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.10

  - ao, fix, re seg numbering, fixed width, leading zeros
    (introduced: 5.4.3 / 6.0.9)
    provisional fix (check related issues against 5.4.2 / 6.0.8)

* sisu_6.0.9.orig.tar.xz (2014-07-01:26/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.9

  - ao,
    - code cosmetic rearrangement
    - book index, strip white spaces around terms
      (fix uppercase first character where spaces used)
    - quote block, insert text indent markup, exclude book index
    - doc objects, layout group open & close identify is_for
    - segment numbering, fixed width, leading zeros (for alphanumeric sorting)

  - code cosmetic rearrangement
    - ao*, param, hub, options, composite

  - sysenv, developer _CONSTRUCTION_ZONE warning modified

  - epub, a fix, double check

* sisu_6.0.8.orig.tar.xz (2014-06-19:24/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.8

  - ao,
    - regex match for tics "```" followed by space tweaked
    - Symbol to match grouped text open & close (instead of String)
    - introduce way of removing unrecognized tic markers
    - syntax, able optionally to indicate the language syntax of a code block
    - syntax, introduce box text block/group
    - syntax, introduce tics quotes markup (blockquote equivalent)
    - turn id numbers (for tags) into a hash
    - code blocks, clean trailing newlines
    - misc, minorish

  - docbook,
    - ocn & footnote numbers (as xml comments)
    - metadata header (docinfo)
    - quotes (blockquote)
    - tables
    - images
    - code block

  - vim syntax, add
    - code block, language syntax, optional
    - box block
    - quote block

* sisu_6.0.7.orig.tar.xz (2014-05-25:20/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.7

* sisu_6.0.6.orig.tar.xz (2014-05-18:19/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.6

  - db,
    - use symbols to identify sql engine
    - remove require 'dbi' (ruby-dbi)
    - for pg: require 'pg' (use ruby-pg directly)
    - for sqlite: require 'sqlite3' (use ruby-sqlite3 directly) [already the
      case]

  - cgi, sample search form generator
    - remove require 'dbi' (ruby-dbi)
    - for pg: require 'pg' (use ruby-pg directly)
    - for sqlite: require 'sqlite3' (use ruby-sqlite3 directly)

* sisu_6.0.5.orig.tar.xz (2014-05-12:19/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.5

  - sisu, ensure return to start dir

  - ao, document structure check, stop processing on major error
    (with error message & text at location of failure)

  - ao_syntax, address possible manual use of url delimiters「」

  - ao, heading with no ocn, distinguish ~# from -#
    - ~# is general & means no ocn (for any object to which it is applied)
    - -# is relevant only for 1~ dummy headings & instructs that they should be
      removed from output where possible, applied so far to pdf, odt & plaintext

  - composite, fix includes, provide extra newline after inserted comment
    (Closes: #744360) "includes do not work properly"

  - composite (inserts), missing includes doesn't give an error, fix
    (Closes: #744379) see sisu.org for comment

  - param, metadata add 'Copyright:' tag to output related to copyright
    (Closes: #744381) syntax: inconsistency \:copyright: and \:license:

  - param, remove trailing semicolon after :copyright:
    (Closes: #744358)

  - metadata, pdf, remove link to manifest page where --no-manifest is used
    (Closes: #744378)

  - digests, digests sha512 option implemented
    - options sha512 sha256 md5
    - command line --sha512
    - rcconf.yml ['defsault']['digest'] = sha512
    (Closes: #744402)

  - texpdf, (internal coding)
    - use symbols to identify page orientation
    - renaming related to fontface

  - texpdf, pdf colored hyperlinks configurable (cli & sisurc.yml)
    --pdf-hyperlinks-color
    --pdf-hyperlinks-no-color or --pdf-hyperlinks-monochrome
    default:
      pdf_hyperlinks: 'color'
    (other options switch hyperlink color off 'no-color' 'color-off'
    'monochrome')
    (Closes: #744391) no color on a4 portrait

  - texpdf, headings and table of contents

  - texpdf, pdf default font size configurable (cli & sisurc.yml) (no fractions)
    --pdf-fontsize-12 --pdf-fontsize-8
    default:
      texpdf_fontsize: 12
    (Closes: #744405)

  - texpdf, for urls switch to sans serif (small fontsize),
    instead of typewriter, latex default
    (Closes: #744353)

  - texpdf, mailto markup links set for normal text objects
    (Closes: #744357) but testing required

  - texpdf, urls in creator cause breakage
    (Closes: #744541)

  - texpdf, & in heading breaks toc, now & is removed from toc not heading,
    broken

  - added sisu.org emacs:evil:org mode notes related to sisu development

* sisu_6.0.4.orig.tar.xz (2014-02-14:06/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.4

  - ocn, object citation numbering
    - add perhaps less cryptic --numbering --no-numbering command-line options
    - plaintext & odt switch default to ocn==true for consistency

* sisu_6.0.3.orig.tar.xz (2014-02-08:05/6)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.3

  - cgi, search form (generator), using cgi ENV variables

  - examples
    - nginx conf
    - cgi search forms pgsql & sqlite

  - documentation, minor update

* sisu_6.0.2.orig.tar.xz (2014-02-05:05/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.2

  - ao, html book index linking, follow --strict option

  - utils, code markers & messages, notes/warning/errors, fix

  - sysenv, concordance redirected paths, watch

  - manual Rakefile, README & minor config adjustment

* sisu_6.0.1.orig.tar.xz (2014-02-05:05/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.1

  - ao, document tags

  - options
    - --strict html option
    - ocn switch on/off instructions (& defaults for plaintext & odt)

  - html cleaning
    - --strict html option
      (various changes, e.g. ocn [url]#37 only available as [url]#o37)
    - tags
    - endnote name and nameref (make compliant)

  - epub
    - use same endnote name and nameref as introduced here for html
    - hash digests used only if availabile (availability check)

  - ocn turn on/off rules
    - txt
    - odt

  - cgi (pgsql, sqlite) fixes

  - error/warn messages, including wrappers round require

  - documentation, manpage README etc.
    - sisu manual directory moved
    - sisu manual updated
      - README & sisu.1 (manpage) updated
    - removed html man pages (man2html)

* sisu_6.0.0.orig.tar.xz (2014-01-26:03/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_6.0.0

* v6 development branch opened
  - v4 branch closed -(>4.2.20)-
  - v5 stable branch (>=5.3.0)
  - v6 development branch opened (copy v5) (>=6.0.0)
